Subject: bug#34998: closed (Re: bug#34995: `guix pull` crash on commit 69cae3d33)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Mar 2019 09:41:02 +0000

Your bug report

#34995: "guix pull" fails because it cannot build a derivation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34995: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34995
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34995: `guix pull` crash on commit 69cae3d33
From: Ludovic Courtès <[email-masked]>
To: Chad Walstrom <[email-masked]>, Leo Famulari <[email-masked]>, Mark H Weaver <[email-masked]>, Konrad Hinsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Mar 2019 10:40:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Chad Walstrom <[email-masked]> skribis:

> ./gnu/packages/bootstrap.scm:150:4: In procedure inputs:
> Wrong number of arguments to #<procedure inputs (x)>
> guix pull: error: You found a bug: the program '/gnu/store/dml4spg4jl3nqqqgsw76pj74bash1h8h-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "6c177f6140cba250ad68c5a83c312f395b6e48b4"; system: "x86_64-linux";
> host version: "0.16.0"; pull-version: 1).
> Please report it by email to <[email-masked]>.

This bug was introduced about 11 hours ago when I pushed
abd4d6b33dba4de228e90ad15a8efb456fcf7b6e.

It’s due to an excess of confidence and insufficient testing on my side
(I hadn’t rebuilt the package modules locally, so those modules were
still using the old ABI and everything was fine); my apologies for the
breakage.

That also revealed an abstraction leakage I was unaware of:

  https://issues.guix.info/issue/34999

Thank you all for reporting the issue!

Ludo’.

Subject: "guix pull" fails because it cannot build a derivation
From: Konrad Hinsen <[email-masked]>
To: [email-masked]
Date: Tue, 26 Mar 2019 10:16:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear guix team,

Today's "guix pull" ended in a failure that I am supposed to report, so
here I do!

Konrad.

$ guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git	6c177f6
The following derivations will be built:
   /gnu/store/y899zgjln4qdqliwlmrnpwlhljagpzcp-module-import.drv
   /gnu/store/w8c6is708k9cb87fc0kap13y9jf5h76m-module-import-compiled.drv
   /gnu/store/8w23bahr7kj61w222x9iai9m0vagz58l-compute-guix-derivation.drv
building /gnu/store/y899zgjln4qdqliwlmrnpwlhljagpzcp-module-import.drv...
building /gnu/store/w8c6is708k9cb87fc0kap13y9jf5h76m-module-import-compiled.drv...
building /gnu/store/8w23bahr7kj61w222x9iai9m0vagz58l-compute-guix-derivation.drv...
Computing Guix derivation for 'x86_64-linux'... -Backtrace:
          10 (primitive-load "/gnu/store/5fqbbg0wr2b71azi5n8k0iqfsls?")
In ice-9/eval.scm:
    155:9  9 (_ _)
    159:9  8 (_ #(#(#(#(#(#(#(#(#(#(#(?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ./guix/store.scm:
  1737:24  7 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
In ./guix/self.scm:
    988:2  6 (_ _)
In ./guix/packages.scm:
  1309:17  5 (_ #<store-connection 256.99 260bfa0>)
   934:16  4 (cache! #<weak-table 0/113> #<package [email-masked] ./gn?> ?)
  1255:22  3 (thunk)
   934:16  2 (cache! #<weak-table 0/223> #<package [email-masked] ./gn?> ?)
  1039:46  1 (thunk)
In ./gnu/packages/bootstrap.scm:
    150:4  0 (inputs)

./gnu/packages/bootstrap.scm:150:4: In procedure inputs:
Wrong number of arguments to #<procedure inputs (x)>
guix pull: error: You found a bug: the program '/gnu/store/5fqbbg0wr2b71azi5n8k0iqfslsiwwi8-compute-guix-derivation'
failed to compute the derivation for Guix (version: "6c177f6140cba250ad68c5a83c312f395b6e48b4"; system: "x86_64-linux";
host version: "f347fb79df1b174c37a1d277b1c1de36684ed1e7"; pull-version: 1).
Please report it by email to <[email-masked]>.